सामग्री पर जाएँ

Lucy Restyle

इंटीग्रेट करें

मॉडल id decart/lucy-restyle
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/decart/lucy-restyle?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $0.10 100 API क्रेडिट चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें

टेक्स्ट प्रॉम्प्ट से मौजूदा वीडियो की शैली बदलता है, जिसमें वैकल्पिक प्रॉम्प्ट एन्हांसमेंट और रिज़ॉल्यूशन सेटिंग है

Decart · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 1500

बनाए जाने वाले वीडियो की सामग्री का टेक्स्ट विवरण।

•आवश्यक video_url
फ़ाइल ड्रॉप करें, या

एडिटिंग के लिए वीडियो की ओर संकेत करने वाला URL।

डिफ़ॉल्ट 720p

परिणामी वीडियो के लिए उपयोग किया गया रिज़ॉल्यूशन।

उन्नत seed · enhance_prompt

वीडियो बनाने के लिए उपयोग किया गया सीड।

POST /run/decart/lucy-restyle?wait=20 कोटेशन → $0.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/decart/lucy-restyle?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Lucy Restyle के बारे में

वीडियो-टू-वीडियो रीस्टाइलिंग: स्रोत `video_url` और नए रूप का वर्णन करने वाला अधिकतम 1500 अक्षरों का `prompt` दें। `enhance_prompt` डिफ़ॉल्ट रूप से चालू रहता है और प्रॉम्प्ट को फिर से लिखता है, `resolution` का डिफ़ॉल्ट 720p है, और `seed` रन को दोहराने योग्य बनाता है। एकल जनरेट किया गया वीडियो लौटाता है।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 1,500 अक्षर
बनाए जाने वाले वीडियो की सामग्री का टेक्स्ट विवरण।
video_urlआवश्यक video
प्रकारurl · video
एडिटिंग के लिए वीडियो की ओर संकेत करने वाला URL।
enhance_promptवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
परिणाम बेहतर करने के लिए प्रॉम्प्ट एन्हांसमेंट को नियंत्रित करता है।
seedवैकल्पिक
प्रकारinteger | null
वीडियो बनाने के लिए उपयोग किया गया सीड।
resolutionवैकल्पिक
प्रकारstring
डिफ़ॉल्ट720p
परिणामी वीडियो के लिए उपयोग किया गया रिज़ॉल्यूशन।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "decart/lucy-restyle",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा निर्मित वीडियो।

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/decart/lucy-restyle.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt